Skip to main content

Get releases for all CDN-connected devices

GET 

/api/cdn/device/releases

Returns one release list per CDN-connected device.

Request

Query Parameters

    device_id string[]

    Repeated device ID filter: ?device_id=id1&device_id=id2. Omit for all devices.

Responses

Per-device release lists in DeviceReleaseStatusDto shape.

Schema

  • Array [

  • data

    object[]

    required

    v2-typed payload for this device.

  • Array [

  • artsDirPath stringnullable

    Artifacts folder path

    deliveryState object

    deviceReleaseStatus

    object

    nullable

    Status enum that can be either a delivery status or a deployment status

    oneOf

    string

    downloadDuration int32nullable

    Download duration in seconds (for delivery state)

    errMsg stringnullable

    Error message if any error occurred

    eta int64nullable

    Estimated time remaining in seconds

    progress floatnullable

    Progress percentage (0-100)

    release

    object

    required

    createdAt date-timerequired
    dependencies undefined[]nullable
    displayName stringnullable

    Human-readable display name of the project

    id stringrequired
    label stringnullable

    Label associated with the project

    latest booleannullable
    metadata objectnullable
    policies undefined[]nullable

    Policies associated with this release

    projectId int32required
    projectName stringrequired
    releaseNotes stringnullable
    releasedAt date-timenullable
    size int64nullable
    status Statusrequired

    Possible values: [draft, in_review, approved, released, archived]

    type Typerequired

    Possible values: [product, formation]

    updatedAt date-timerequired
    version stringrequired
    state DeviceReleaseStaterequired

    Possible values: [delivery, downloaded, deleted, deploy, installed, uninstalled]

    Represents the state of a release on the device Only covers delivery state and beyond — Offering/Push are not exposed on this endpoint

  • ]

  • deviceId stringrequired

    Device identifier — matches the deviceId in CDN discovery.

    isMaster booleanrequired

    true when this entry represents the local CDN master agent itself.

  • ]

Loading...